#include <Foundation/NSString.h>
@interface NSFramework_Addresses : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_Addresses
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib64/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"ADAddressBook", @"ADConverterManager", @"ADEnvelopeAddressBook", @"ADScriptingInfo", @"ADGroup", @"ADLocalAddressBook", @"ADMultiValue", @"ADMutableMultiValue", @"ADPerson", @"ADPListConverter", @"ADPluginManager", @"ADPublicAddressBook", @"ADRecord", @"ADEnvelopeSearchElement", @"ADRecordSearchElement", @"ADSearchElement", @"ADVCFConverter", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
